Package org.eclipse.team.ui.history

# Class HistoryPage

java.lang.Object
org.eclipse.ui.part.Page
org.eclipse.team.ui.history.HistoryPage

All Implemented Interfaces:
  `IAdaptable`, `IHistoryPage`, `IPage`, `IPageBookViewPage`

public abstract class HistoryPage extends Page implements IHistoryPage, IAdaptable
Abstract HistoryPage class that keeps track of the history page site.

Clients may subclass this class.

Since:
  3.2
See Also:
  - `IHistoryPage`

## Field Summary

### Fields inherited from interface org.eclipse.team.ui.history.IHistoryPage

`P_DESCRIPTION, P_NAME`

## Constructor Summary

Constructors
Constructor
Description
`HistoryPage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for changes to properties of this page.
`protected void`
`firePropertyChange(Object source, String property, Object oldValue, Object newValue)`
Notify all listeners that the given property has changed.
`IHistoryPageSite`
`getHistoryPageSite()`
Returns the `IHistoryPageSite` set for this page.
`IHistoryView`
`getHistoryView()`
Returns the `IHistoryView` instance that contains this history page or null if the history view instance cannot be determined.
`Object`
`getInput()`
Returns the object whose history is currently being displayed in the history page.
`abstract boolean`
`inputSet()`
Called by HistoryPage after `setInput(Object)`.
`void`
`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property listener from this page.
`void`
`setHistoryView(IHistoryView historyView)`
`boolean`
`setInput(Object object)`
Fetches and populates the history page for the given Object.
`void`
`setSite(IHistoryPageSite site)`
Set the site for the page - this needs to be replaced with a proper `IHistoryPageSite` in order to allow history pages to be displayed in both views and dialogs.

### Methods inherited from class org.eclipse.ui.part.Page

`createControl, dispose, getControl, getSite, init, makeContributions, setActionBars, setFocus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.team.ui.history.IHistoryPage

`dispose, getDescription, getName, isValidInput, refresh`

## Constructor Details

### HistoryPage

public HistoryPage()

## Method Details

### setSite

public void setSite(IHistoryPageSite site)
Description copied from interface: `IHistoryPage`
Set the site for the page - this needs to be replaced with a proper `IHistoryPageSite` in order to allow history pages to be displayed in both views and dialogs.

Specified by:
  `setSite` in interface `IHistoryPage`
Parameters:
  `site` - the history page site

### getHistoryPageSite

public IHistoryPageSite getHistoryPageSite()
Description copied from interface: `IHistoryPage`
Returns the `IHistoryPageSite` set for this page.

Specified by:
  `getHistoryPageSite` in interface `IHistoryPage`
Returns:
  the history page site for this page

### getInput

public Object getInput()
Description copied from interface: `IHistoryPage`
Returns the object whose history is currently being displayed in the history page.

Specified by:
  `getInput` in interface `IHistoryPage`
Returns:
  object the object being displayed in the history page or `null` if no input has been set;

### setInput

public boolean setInput(Object object)
Description copied from interface: `IHistoryPage`
Fetches and populates the history page for the given Object. Clients should provide an implementation for their individual pages.

Specified by:
  `setInput` in interface `IHistoryPage`
Parameters:
  `object` - the object for which history is being requested for
Returns:
  true if the page was able to display the history for the object, false otherwise

### inputSet

public abstract boolean inputSet()
Called by HistoryPage after `setInput(Object)`. Clients can gain access to the input by using `getInput()`.

Returns:
  `true` if the page was able to display the contents, `false` otherwise

### setHistoryView

public void setHistoryView(IHistoryView historyView)

### getHistoryView

public IHistoryView getHistoryView()
Description copied from interface: `IHistoryPage`
Returns the `IHistoryView` instance that contains this history page or null if the history view instance cannot be determined.

Specified by:
  `getHistoryView` in interface `IHistoryPage`
Returns:
  IHistoryView the history view that contains this history page or null if the history view instance cannot be determined.

### addPropertyChangeListener

public void addPropertyChangeListener(IPropertyChangeListener listener)
Description copied from interface: `IHistoryPage`
Adds a listener for changes to properties of this page. Has no effect if an identical listener is already registered.

The changes supported by the page are as follows:

- `P_NAME`- indicates the name of the page has changed
- `P_DESCRIPTION`- indicates the description of the page has changed

Clients may define additional properties as required.

Specified by:
  `addPropertyChangeListener` in interface `IHistoryPage`
Parameters:
  `listener` - a property change listener

### removePropertyChangeListener

public void removePropertyChangeListener(IPropertyChangeListener listener)
Description copied from interface: `IHistoryPage`
Removes the given property listener from this page. Has no effect if an identical listener is not already registered.

Specified by:
  `removePropertyChangeListener` in interface `IHistoryPage`
Parameters:
  `listener` - a property listener

### firePropertyChange

protected void firePropertyChange(Object source, String property, Object oldValue, Object newValue)
Notify all listeners that the given property has changed.

Parameters:
  `source` - the object on which a property has changed
  `property` - identifier of the property that has changed
  `oldValue` - the old value of the property, or `null`
  `newValue` - the new value of the property, or `null`
Since:
  3.3